import { IDisposable } from '@kano/common/index.js';
import { PartEditorField, IFieldComponent } from '../field.js';
export declare class StringPartEditorField<T = string> extends PartEditorField<T | string> {
    protected _label: HTMLLabelElement;
    protected _input: HTMLInputElement;
    protected subscriptions: IDisposable[];
    static readonly propertyType: any;
    constructor(component: IFieldComponent, key: string);
    _getInputValue(): T | string;
    _onKeyUp(): void;
    dispose(): void;
}
